package aicare.net.cn.aibrushdemo;

import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.os.Handler;
import android.support.v7.app.AppCompatActivity;
import android.widget.TextView;

import aicare.net.cn.aibrushdemo.utils.AppUtils;
import aicare.net.cn.aibrushdemo.utils.T;

/**
 * Created by Suzy on 2016/5/10.
 */
public class WelcomeActivity extends AppCompatActivity {
    private TextView tv_show_version;

    private Handler mHandler = new Handler();
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_welcome);
        initViews();
        if (ensureBLESupported()) {
            mHandler.postDelayed(new Runnable() {
                @Override
                public void run() {
                    openActivity(MainActivity.class);
                    WelcomeActivity.this.finish();
                }
            }, 2000);
        }else {
            T.showLong(this, R.string.not_support_ble);
            this.finish();
        }
    }

    protected boolean ensureBLESupported() {
        return getPackageManager().hasSystemFeature(PackageManager.FEATURE_BLUETOOTH_LE);
    }

    protected void openActivity(Class<?> cls) {
        Intent intent = new Intent(this, cls);
        startActivity(intent);
    }

    private void initViews() {
        tv_show_version = (TextView) this.findViewById(R.id.tv_show_version);
        tv_show_version.setText(String.format(getResources().getString(R.string.version), AppUtils.getVersionName(this)));
    }
}
